%define anolis_release 1

Name:           slang
Version:        2.3.3
Release:        %{anolis_release}%{?dist}
Summary:        Shared library for the S-Lang extension language

License:        GPLv2+
URL:            https://www.jedsoft.org/slang/
Source0:        https://www.jedsoft.org/releases/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  libpng-devel
BuildRequires:  pcre-devel
BuildRequires:  zlib-devel
BuildRequires:  oniguruma-devel

%description
S-Lang is a library for creating multi-platform software. It provides
display/screen management, keyboard input, keymaps, etc.
S-lang can be easily embedded into a program to make it extensible.

%package slsh
Summary: Interpreter for S-Lang scripts
Requires: %{name} = %{version}-%{release}

%description slsh
slsh is a standalone interpreter of the S-Lang language.
It supports dynamic loading of S-Lang modules and includes a readline
interface for interactive use.

This package also includes S-Lang modules that are distributed with
the S-Lang distribution.

%package devel
Summary: Development files for the S-Lang extension language
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the S-Lang extension language libraries and
header files which you'll need if you want to develop S-Lang based
applications.  Documentation which may help you write S-Lang based
applications is also included.

%prep
%setup -q

# fix permissions of installed modules
sed -i '/^INSTALL_MODULE=/s/_DATA//' configure

%build
%{configure} \
        --with-{onig,pcre,png,z}lib=%{_libdir} \
        --with-{onig,pcre,png,z}inc=%{_includedir}

# parallel build fails
make RPATH="" all

%check
make check

%install
make install-all INSTALL="install -p" RPATH="" DESTDIR="%{buildroot}"

rm %{buildroot}%{_libdir}/libslang.a
rm -rf %{buildroot}%{_docdir}/{slang,slsh}

%files
%doc NEWS
%license COPYING
%{_libdir}/libslang.so.2.*
%{_libdir}/libslang.so.2

%files slsh
%doc slsh/doc/html/slsh*.html
%config(noreplace) %{_sysconfdir}/slsh.rc
%{_bindir}/slsh
%{_libdir}/slang
%{_datadir}/slsh
%{_mandir}/man1/slsh.1*

%files devel
%doc doc/text/* doc/README doc/grammar.txt
%{_libdir}/libslang.so
%{_libdir}/pkgconfig/slang.pc
%{_includedir}/slang.h
%{_includedir}/slcurses.h

%changelog
* Fri Jan 20 2023 Funda Wang <fundawang@yeah.net> - 2.3.3-1
- New verison 2.3.3

* Fri Mar 11 2022 Su Lifan <su-lifan@linux.alibaba.com> - 2.3.2-1
- Initial packaging for Anolis OS 23
